package ibase.webitm.ejb.adm.adv;
import java.rmi.RemoteException;

import java.sql.Connection;
import ibase.webitm.utility.ITMException;
import ibase.webitm.ejb.ActionHandlerLocal;
import javax.ejb.Local; 

@Local 
public interface PayrollVoucherConfLocal extends ActionHandlerLocal 
{
	public String confirm(String tranId, String xtraParams) throws RemoteException,ITMException;
	
	public String confirm(String tranId, String xtraParams, Connection conn) throws RemoteException,ITMException;
	
 	public String confirm(String tranId, String forcedFlag, String xtraParams) throws RemoteException,ITMException;

	public String confirm(String tranId, String forcedFlag, String xtraParams,  Connection conn) throws RemoteException,ITMException;
}
